<?php
session_start();
require_once('../Operaciones/Admin_operacion_alt.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../index.php?error=acceso');
}
$Opc=$_POST['Opc'];
if($Opc==0){
	$Repor = new Admin_P_Alt();
	$Rep=($_POST['Rep']== 0 ? NULL : $_POST['Rep']);
	$Repor->List_Reportes($Rep);
}elseif($Opc==1){
	$Repor = new Admin_P_Alt();
	$Rep=$_POST['Rep'];
	$Sol=$_POST['Sol'];
	if($Sol==0){
		$Repor->Cancela_Pro($Rep);
		$Repor->Cancela_File($Rep);
	}elseif($Sol==1){
		$Repor->Cancela_Fol($Rep, $Sol);
	}elseif($Sol==3){
		$Repor->Cambio_Aretes($Rep);
	}elseif($Sol==4){
		$Repor->Cancela_File($Rep);
	}
	$Rep=NULL;
	$Repor->List_Reportes($Rep);
}elseif($Opc==2){
	$Repor = new Admin_P_Alt();
	$Rep=$_POST['Rep'];
	$Datos=$Repor->Soli_Cambio($Rep);
}
